YourAppIdea
===========

Project template for android and demo app for tutorials on [michenux.net](http://www.michenux.net)

You can try the application [here](https://play.google.com/store/apps/details?id=org.michenux.yourappidea)

Requirements
============

* Android SDK 19 (with extras/Google Repository)
* Android Studio

What you can find inside
========================

**Implemented UI Patterns**

* Navigation Drawer (ActionBarActivity)
* List/Detail (fragment)
* Spinner in ActionBar
* Refresh button in Action Bar
* Contextual toasts with Crouton library
* Pull To Refresh with library ActionBar-PullToRefresh


**Improove UX**

* Animations on buttons
* Different layouts in landscape mode
* No splashscreen (because anti-pattern)


**Architecture**

* Dependency injection with Dagger


**Persistence**

* Sqlite Database : manage creation/upgrade of database using sql scripts
* ContentProvider examples
* AsyncTaskLoader and CursorLoader


**Network**

* Json Request with Volley library
* SyncAdapter
* Retrieve posts from wordpress website


**Geoloc**

* Localization with Google Play Services
* Geocoder example, Distance compute, sort by distance


**Promote your app**

* Link to the application on Google Play Store for adding rating/comments
* ChangeLog screen (can show what's new since previous version or display full changelog)


**Monetize your app**

* Integration of admob
* Donation screen (paypal)


**Others**

* Preferences (using Fragment and compatible with 2.2+)
* Eula (End User Licence Agreement) : accept/refuse Eula on first time or just display.
* Quit Dialog (not enabled by default cause anti-pattern)

